package test;

import java.util.logging.Logger;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.jws.WebService;

@Stateless
@WebService(endpointInterface = "test.MyWsOtherSigSecond")
public class MyWsOtherSigSecondBean implements MyWsOtherSigSecond {

   private static final Logger LOG = Logger.getLogger(MyWsOtherSigSecondBean.class.getName());

   @TransactionAttribute(TransactionAttributeType.NOT_SUPPORTED)
   public boolean callOther(final boolean value) {
      LOG.warning("Call: " + value);
      return !value;
   }
}
