package test;

import java.util.logging.Logger;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.jws.WebService;

@Stateless
@WebService(endpointInterface = "test.MyWsOtherSigFirst")
public class MyWsOtherSigFirstBean implements MyWsOtherSigFirst {

   private static final Logger LOG = Logger.getLogger(MyWsOtherSigFirstBean.class.getName());

   @TransactionAttribute(TransactionAttributeType.NOT_SUPPORTED)
   public String callOther(final String value) {
      LOG.warning("Call: " + value);
      return value + "1";
   }
}
