package test;

import java.util.logging.Logger;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.jws.WebService;

@Stateless
@WebService(endpointInterface = "test.MyWsSameSigFirst")
public class MyWsSameSigFirstBean implements MyWsSameSigFirst {

   private static final Logger LOG = Logger.getLogger(MyWsSameSigFirstBean.class.getName());

   @TransactionAttribute(TransactionAttributeType.NOT_SUPPORTED)
   public long callMe(final long value) {
      LOG.warning("Call: " + value);
      return value + 1;
   }
}
