package test;

import java.util.logging.Logger;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.jws.WebService;

@Stateless
@WebService(endpointInterface = "test.MyWsSameSigSec")
public class MyWsSameSigSecBean implements MyWsSameSigSec {

   private static final Logger LOG = Logger.getLogger(MyWsSameSigSecBean.class.getName());

   @TransactionAttribute(TransactionAttributeType.NOT_SUPPORTED)
   public long callMe(final long value) {
      LOG.warning("Call: " + value);
      return value + 2;
   }
}
